neovim-qt_0.2.12-1_amd64.deb


Advertisement

Description

neovim-qt - neovim client library and GUI

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename neovim-qt_0.2.12-1_amd64.deb
Package name neovim-qt
Package version 0.2.12
Package release 1
Package architecture amd64
Package type deb
Category universe/editors
Homepage https://github.com/equalsraf/neovim-qt
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 505.08 KB
Installed size 2.33 MB
neovim-qt provides a Qt5 GUI interface for neovim

Alternatives

Package Version Architecture Repository
neovim-qt_0.2.12-1_i386.deb 0.2.12 i386 Ubuntu Universe
neovim-qt - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libmsgpackc2 >= 2.1.0
libqt5core5a >= 5.11.0~rc1
libqt5gui5 >= 5.0.2
libqt5network5 >= 5.0.2
libqt5widgets5 >= 5.11.0~rc1
libstdc++6 >= 5.2
neovim -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package neovim-qt_0.2.12-1_amd64.deb
Source Package neovim-qt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install neovim-qt deb package:
    # sudo apt-get install neovim-qt

Files

Path
/usr/bin/gvim.nvim-qt
/usr/bin/nvim-qt
/usr/share/applications/nvim-qt.desktop
/usr/share/doc/neovim-qt/changelog.Debian.gz
/usr/share/doc/neovim-qt/copyright
/usr/share/man/man1/nvim-qt.1.gz
/usr/share/nvim-qt/runtime/README.md
/usr/share/nvim-qt/runtime/doc/nvim_gui_shim.txt
/usr/share/nvim-qt/runtime/doc/tags
/usr/share/nvim-qt/runtime/plugin/nvim_gui_shim.vim
/usr/share/pixmaps/nvim-qt.png

Changelog

2019-01-23 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.12-1) unstable; urgency=medium
* New upstream release
2019-01-01 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.11-1) unstable; urgency=medium
* New upstream release
2018-10-22 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.10-1) unstable; urgency=medium
* Update to new upstream version 0.2.10.
+ Add support for Neovim's ext_popupmenu UI option to provide a native
popup menu
- Add :GuiPopupmenu command to explicitly enable/disable the GUI popup
menu
+ Add support for Neovim's ext_tabline UI option to provide native tabline
display
- Honor 'showtabline' to determine when the tabline is displayed
- Add :GuiTabline command to explicitly enable/disable the tabline
+ Support the :suspend command, minimizing the GUi
* Opt-in to debhelper 12 beta
* rules: Use cmake+ninja buildsystem
* Declare compliance with Policy 4.2.1
* copyright: Add license for third-party/oxygen/
2018-08-08 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.9-1) unstable; urgency=medium
* New upstream release
+ Runtime detection of Neovim's supported API versions (Closes: #904265)
2018-07-04 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.8-4) unstable; urgency=medium
[ David Rabel ]
* Fix d/copyright: MacOSXBundleInfo.plist.in was moved
[ Jason Pleau ]
* Relax debhelper dependency to allow for easier backporting
* Update Maintainer email to team+vim@tracker.debian.org
[ James McCoy ]
* Declare compliance with Policy 4.1.5, no changes needed.
2018-01-28 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.8-3) unstable; urgency=medium
* Increase xvfb-run resolution to fix arm{el,hf} crashes
2018-01-21 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.8-2) unstable; urgency=medium
* Change Vcs-* to salsa.d.o
* Revert "Track neovim version used to build in Built-Using"
* Declare compliance with Policy 4.1.3
* Point gbp-dch to the correct branch
* Bump debhelper compat to 11
* Set R³ to no
2017-09-14 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.8-1) unstable; urgency=medium
* New upstream release
* Bump debhelper compat to 10
* Declare compliance with Policy 4.1.0, no changes needed
2017-08-12 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.7-3) unstable; urgency=medium
* Fix FTBFS by creating a $HOME for the tests.  (Closes: #871132)
* Declare compliance with police 4.0.1, no changes needed.
* Explicitly set CMAKE_BUILD_TYPE=Release to disable noisy debug logging.
2017-06-24 - James McCoy <jamessan@debian.org>
neovim-qt (0.2.7-2) unstable; urgency=medium
* Upload to unstable

See Also

Package Description
neovim-runtime_0.3.4-1_all.deb heavily refactored vim fork (runtime files)
neovim_0.3.4-1_amd64.deb heavily refactored vim fork
nescc_1.3.5-1.1_amd64.deb Programming Language for Deeply Networked Systems
nestopia_1.49-2_amd64.deb Nintendo Entertainment System/Famicom emulator
net-acct_0.71-9build1_amd64.deb User-mode IP accounting daemon
netanim_3.100-1build1_amd64.deb network animator based on Qt4 working with ns-3
netatalk_3.1.12~ds-2_amd64.deb Apple Filing Protocol service
netbeans_10.0-3_all.deb Extensible Java IDE
netcat-traditional_1.10-41.1_amd64.deb TCP/IP swiss army knife
netcat_1.10-41.1_all.deb TCP/IP swiss army knife -- transitional package
netcdf-bin_4.6.2-1build1_amd64.deb Programs for reading and writing NetCDF files
netcdf-doc_4.6.2-1build1_all.deb Documentation for NetCDF
netcf_0.2.8-1ubuntu3_amd64.deb programs for the netcf library
netconfd-module-ietf-interfaces_2.11-1build1_amd64.deb SIL module for netconfd implementing ietf-interfaces.yang
netconfd-module-ietf-system_2.11-1build1_amd64.deb SIL module for netconfd implementing ietf-system.yang
Advertisement
Advertisement